DomainClassGrailsPlugin (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Groovy] Class DomainClassGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.DomainClassGrailsPlugin

    class DomainClassGrailsPlugin
    extends java.lang.Object

Configures the domain classes in the spring context.

Authors:
  Graeme Rocher

Since:
  0.4

Property Summary
`static java.lang.Object` | `PROPERTY_INSTANCE_MAP`
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `doWithDynamicMethods`
`java.lang.Object` | `doWithSpring`
`java.lang.Object` | `loadAfter`
`java.lang.Object` | `onChange`
`java.lang.Object` | `onConfigChange`
`java.lang.Object` | `version` /*.groovy", "file:.
`java.lang.Object` | `watchedResources`

Method Summary
`static java.lang.Object` | `addRelationshipManagementMethods(GrailsDomainClass dc, org.springframework.context.ApplicationContext ctx)`
`static void` | `addValidationMethods(GrailsApplication application, GrailsDomainClass dc, org.springframework.context.ApplicationContext ctx)`
`static java.lang.Object` | `enhanceDomainClasses(GrailsApplication application, org.springframework.context.ApplicationContext ctx)`
`static java.lang.Object` | `getDefaultConstraints(groovy.util.ConfigObject config)`
`static void` | `registerConstraintsProperty(groovy.lang.MetaClass metaClass, GrailsDomainClass domainClass)` Registers the constraints property for the given MetaClass and domainClass instance

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### PROPERTY_INSTANCE_MAP

    static final java.lang.Object PROPERTY_INSTANCE_MAP

### dependsOn

    java.lang.Object dependsOn

### doWithDynamicMethods

    java.lang.Object doWithDynamicMethods

### doWithSpring

    java.lang.Object doWithSpring

### loadAfter

    java.lang.Object loadAfter

### onChange

    java.lang.Object onChange

### onConfigChange

    java.lang.Object onConfigChange

### version

    java.lang.Object version

  /*.groovy", "file:./plugins/

### watchedResources

    java.lang.Object watchedResources

Method Detail

### addRelationshipManagementMethods

    static java.lang.Object addRelationshipManagementMethods(GrailsDomainClass dc, org.springframework.context.ApplicationContext ctx)

### addValidationMethods

    static void addValidationMethods(GrailsApplication application, GrailsDomainClass dc, org.springframework.context.ApplicationContext ctx)

### enhanceDomainClasses

    static java.lang.Object enhanceDomainClasses(GrailsApplication application, org.springframework.context.ApplicationContext ctx)

### getDefaultConstraints

    static java.lang.Object getDefaultConstraints(groovy.util.ConfigObject config)

### registerConstraintsProperty

    static void registerConstraintsProperty(groovy.lang.MetaClass metaClass, GrailsDomainClass domainClass)

  Registers the constraints property for the given MetaClass and domainClass instance

Groovy Documentation